org.modeshape.jcr.query.model

## Class NodePath

- java.lang.Object
- - org.modeshape.jcr.query.model.NodePath

- All Implemented Interfaces:
    Serializable, DynamicOperand, Operand, NodePath, LanguageObject, Visitable

      @Immutable
      public class NodePath
      extends Object
      implements DynamicOperand, NodePath

  A dynamic operand that evaluates to the path of a node given by a selector, used in a `Comparison` constraint.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodePath(SelectorName selectorName)` Create a dynamic operand that evaluates to the path of the node identified by the selector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `String` | `getSelectorName()` Get the selector symbol upon which this operand applies.
    `int` | `hashCode()`
    `SelectorName` | `selectorName()` Get the selector symbol upon which this operand applies.
    `Set<SelectorName>` | `selectorNames()` Get the selector symbols to which this operand applies.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NodePath

          public NodePath(SelectorName selectorName)

      Create a dynamic operand that evaluates to the path of the node identified by the selector.
      Parameters:
        `selectorName` - the name of the selector
      Throws:
        `IllegalArgumentException` - if the selector name or property name are null

  - ### Method Detail

    - #### selectorName

          public SelectorName selectorName()

      Get the selector symbol upon which this operand applies.
      Returns:
        the one selector names used by this operand; never null

    - #### getSelectorName

          public String getSelectorName()

      Description copied from interface: `NodePath`
      Get the selector symbol upon which this operand applies.
      Specified by:
        `getSelectorName` in interface `NodePath`
      Returns:
        the one selector names used by this operand; never null

    - #### selectorNames

          public Set<SelectorName> selectorNames()

      Description copied from interface: `DynamicOperand`
      Get the selector symbols to which this operand applies.
      Returns:
        the immutable ordered set of non-null selector names used by this operand; never null and never empty

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.